Skip to content

User's plans​

GET
/users/{userid}/plans

Gets plans that are available for a user (already purchased or allocated)

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

userid*

User ID

Type
integer
Required

Query Parameters

consumed

Filter by plans that have already been consumed by devices or not

Type
boolean
planId

Filter by plan id

Type
integer
_limit

Limit for pagination, default 10, max 10000

Type
integer
_page

Page for pagination

Type
integer
_sort

Sort by this field

Type
string
_direction

Sort in this direction (asc, desc)

Type
string
_include

Include additional data

Type
array

Request example

Responses​

OK

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"consumedByDeviceId": 0,
  
  
  
"consumedOn": "string",
  
  
  
"creditRemainingDays": true,
  
  
  
"deviceId": 0,
  
  
  
"id": 0,
  
  
  
"needsPayment": true,
  
  
  
"orderId": 0,
  
  
  
"plan": {
  
  
  
  
"description": "string",
  
  
  
  
"displayName": "string",
  
  
  
  
"features": "string",
  
  
  
  
"id": 0,
  
  
  
  
"name": "string",
  
  
  
  
"onoWhitelistId": 0,
  
  
  
  
"prices": {
  
  
  
  
  
"eur": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
],
  
  
  
  
  
"gbp": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
],
  
  
  
  
  
"tax": "[Circular Reference]",
  
  
  
  
  
"usd": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"sku": "string",
  
  
  
  
"sleepLimit": 0,
  
  
  
  
"wakeLimit": 0
  
  
  
},
  
  
  
"planId": 0,
  
  
  
"removedOn": "string",
  
  
  
"userId": 0
  
  
}
  
],
  
"limit": 0,
  
"page": 0,
  
"totalElements": 0,
  
"totalPages": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value